## ros-kinetic-manipulation-msgs 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(manipulation_msgs)

set(MSG_DEPS
  actionlib_msgs
  std_msgs
  geometry_msgs
  sensor_msgs
  shape_msgs
  household_objects_database_msgs
  )

find_package(catkin REQUIRED COMPONENTS message_generation ${MSG_DEPS})

set(
  MSG_FILES
  CartesianGains.msg
  ClusterBoundingBox.msg
  GraspableObjectList.msg
  GraspableObject.msg
  Grasp.msg
  GraspPlanningErrorCode.msg
  GraspResult.msg
  GripperTranslation.msg
  ManipulationPhase.msg
  ManipulationResult.msg
  PlaceLocation.msg
  PlaceLocationResult.msg
  SceneRegion.msg
)

set(
  SRV_FILES
  GraspPlanning.srv
)

set(
  ACTION_FILES
  GraspPlanning.action)

add_message_files(DIRECTORY msg FILES ${MSG_FILES})
add_service_files(DIRECTORY srv FILES ${SRV_FILES})
add_action_files(DIRECTORY action FILES ${ACTION_FILES})

generate_messages(DEPENDENCIES ${MSG_DEPS})

catkin_package(
  CATKIN_DEPENDS message_generation ${MSG_DEPS}
  )

=== debian/changelog ===
ros-kinetic-manipulation-msgs (0.2.1-0xenial) xenial; urgency=high

  * Add maintainer (to receive ROS buildfarm error).
  * Contributors: Dave Coleman, Isaac I.Y. Saito

 -- Jon Binney <jon.binney@gmail.com>  Tue, 19 Jul 2016 07:00:00 -0000

ros-kinetic-manipulation-msgs (0.2.0-0xenial) xenial; urgency=high

  * Merge pull request #5 <https://github.com/ros-interactive-manipulation/manipulation_msgs/issues/5> from mateiciocarlie/groovy-devel
    fixed comment in Grasp message
  * fixed comment in Grasp message
  * Contributors: Matei Ciocarlie

 -- Jon Binney <jon.binney@gmail.com>  Sat, 20 Apr 2013 07:00:00 -0000

ros-kinetic-manipulation-msgs (0.1.8-0xenial) xenial; urgency=high

  * tagged 0.1.8 version
  * Merge pull request #4 <https://github.com/ros-interactive-manipulation/manipulation_msgs/issues/4> from mateiciocarlie/groovy-devel
    fixed dependency in catkin_package
  * fixed dependency in catkin_package
  * Contributors: Matei Ciocarlie

 -- Jon Binney <jon.binney@gmail.com>  Thu, 07 Mar 2013 08:00:00 -0000

ros-kinetic-manipulation-msgs (0.1.7-0xenial) xenial; urgency=high

  * tagged 0.1.7 version
  * Merge pull request #3 <https://github.com/ros-interactive-manipulation/manipulation_msgs/issues/3> from vrabaud/patch-1
    Update package.xml
  * Update package.xml
  * Contributors: Matei Ciocarlie, Vincent Rabaud

 -- Jon Binney <jon.binney@gmail.com>  Wed, 06 Mar 2013 22:25:00 -0000

ros-kinetic-manipulation-msgs (0.1.6-0xenial) xenial; urgency=high

  * Merge branch 'groovy-devel' of github.com:ros-interactive-manipulation/manipulation_msgs into groovy-devel
  * tagged version 0.1.6
  * Merge pull request #2 <https://github.com/ros-interactive-manipulation/manipulation_msgs/issues/2> from mateiciocarlie/groovy-devel
    changes to port household to new architecture.
  * changes to port household to new architecture. Added GraspPlanning srv and action. Reverted GraspableObject cluster back to PointCloud
  * small updates to msgs
  * Contributors: Ioan Sucan, Matei Ciocarlie

 -- Jon Binney <jon.binney@gmail.com>  Wed, 06 Mar 2013 17:34:00 -0000

ros-kinetic-manipulation-msgs (0.1.5-0xenial) xenial; urgency=high

  * bumped version number for release
  * Contributors: Jonathan Binney

 -- Jon Binney <jon.binney@gmail.com>  Mon, 21 Jan 2013 19:42:00 -0000

ros-kinetic-manipulation-msgs (0.1.4-0xenial) xenial; urgency=high

  * Merge pull request #1 <https://github.com/ros-interactive-manipulation/manipulation_msgs/issues/1> from vrabaud/groovy-devel
    typo in the main CMake file
  * fix typo
  * some updates per discussions with matei
  * add id to a Grasp
  * add gripper translation to the grasp
  * Contributors: Ioan Sucan, Kaijen Hsiao, Vincent Rabaud

 -- Jon Binney <jon.binney@gmail.com>  Mon, 21 Jan 2013 17:22:00 -0000

ros-kinetic-manipulation-msgs (0.1.3-0xenial) xenial; urgency=high

  * added approach direction to the message
  * Contributors: Ioan Sucan

 -- Jon Binney <jon.binney@gmail.com>  Sat, 05 Jan 2013 08:00:00 -0000

ros-kinetic-manipulation-msgs (0.1.2-0xenial) xenial; urgency=high

  * adding Header and replacing movable_obstacles by allowed_touch_objects
  * Contributors: Ioan Sucan

 -- Jon Binney <jon.binney@gmail.com>  Mon, 31 Dec 2012 08:00:00 -0000

ros-kinetic-manipulation-msgs (0.1.1-0xenial) xenial; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Thu, 20 Dec 2012 23:05:00 -0000

ros-kinetic-manipulation-msgs (0.1.0-0xenial) xenial; urgency=high

  * small simplification
  * initial commit
  * Contributors: Ioan Sucan, Jonathan Binney

 -- Jon Binney <jon.binney@gmail.com>  Thu, 20 Dec 2012 21:00:00 -0000

=== debian/control ===
Source: ros-kinetic-manipulation-msgs
Section: misc
Priority: extra
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-household-objects-database-msgs, ros-kinetic-message-generation, ros-kinetic-sensor-msgs, ros-kinetic-shape-msgs, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-manipulation-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib-msgs, ros-kinetic-geometry-msgs, ros-kinetic-household-objects-database-msgs, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-sensor-msgs, ros-kinetic-shape-msgs, ros-kinetic-std-msgs
Description: The manipulation_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-manipulation-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
